Delete USER_DEFINED Association By Id, deleting an association will also all the relations for that association

http
DELETE https://services.leadconnectorhq.com/associations/{associationId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
associationIdstringYes

Responses

200 - Successful response
  • deleted (boolean, required): Deletion status Example: True

  • id (string, required): Association Id Example: 6d6f6e676f5f6576656e7473

  • message (string, required): Example: Association deleted successfully

json
{
  "deleted": true,
  "id": "6d6f6e676f5f6576656e7473",
  "message": "Association deleted successfully"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X DELETE 'https://services.leadconnectorhq.com/associations/YOUR_associationId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?